Skip to main content
GET
/
v1
/
platform
/
businesses
List
curl --request GET \
  --url https://api.cadanapay.com/v1/platform/businesses \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.cadanapay.com/v1/platform/businesses"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.cadanapay.com/v1/platform/businesses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
      "name": "Wayne Enterprise",
      "shortName": "W.E.",
      "status": "ACTIVE",
      "tenantKey": "abc123",
      "country": "US",
      "address": {
        "countryCode": "US",
        "line1": "Street 1",
        "line2": "Apt 1",
        "city": "Gotham",
        "postalCode": "10001",
        "state": "NY"
      },
      "requiresKYB": true,
      "admin": {
        "name": "Jane Founder",
        "email": "jane@example.com"
      },
      "createdTimestamp": 1765359752,
      "idempotencyKey": "b6ae5da9-6342-4a58-bd50-8564d68d3f7e"
    }
  ],
  "node": {
    "next": "<string>",
    "previous": "<string>"
  }
}
{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

idempotencyKey
string

Idempotency key of a business

next
string

Query next set of results based on limit

previous
string

Query previous set of results based on limit

limit
integer
default:20

Maximum number of items to return per page

Required range: 1 <= x <= 100

Response

get businesses response

data
object[]
node
object

Node pagination